<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.dromara.zjk.mapper.ZjkPointRuleMapper">

    <resultMap id="BaseResultMap" type="org.dromara.zjk.domain.ZjkPointRule">
            <id property="id" column="ID" jdbcType="BIGINT"/>
            <result property="ruleName" column="rule_name" jdbcType="VARCHAR"/>
            <result property="expireTime" column="expire_time" jdbcType="TIMESTAMP"/>
            <result property="isForever" column="is_forever" jdbcType="BIGINT"/>
            <result property="createDept" column="create_dept" jdbcType="VARCHAR"/>
            <result property="tenantId" column="tenant_id" jdbcType="VARCHAR"/>
            <result property="status" column="status" jdbcType="OTHER"/>
            <result property="createBy" column="CREATE_BY" jdbcType="BIGINT"/>
            <result property="createTime" column="CREATE_TIME" jdbcType="TIMESTAMP"/>
            <result property="updateBy" column="UPDATE_BY" jdbcType="BIGINT"/>
            <result property="updateTime" column="UPDATE_TIME" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        ID,rule_name,expire_time,
        is_forever,create_dept,tenant_id,
        status,CREATE_BY,CREATE_TIME,
        UPDATE_BY,UPDATE_TIME
    </sql>
</mapper>
